Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search
Class SavedSearchBean

    java.lang.Object
      com.bea.apps.groupspace.content.ContentBaseImpl
          com.bea.apps.groupspace.content.CommunityContent
              com.bea.apps.groupspace.search.SavedSearchBean

All Implemented Interfaces
  ContentBase, Serializable

    public class SavedSearchBean

extends CommunityContent

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.apps.groupspace.content.CommunityContent
`CommunityContent.NodeType, CommunityContent.Visibility`

Field Summary
`static String` | `ALL_WORDS`
`static String` | `ANY_WORDS`
`static String` | `DEFAULT_ICON_KEY`
`static String` | `DEFAULT_SEARCH_TYPE`
`static String` | `EXACT_PHRASE`
`static Map` | `ICON_FILENAME_MAP`
`static String` | `NONE_WORDS`
`static String` | `PROPERTY_NAMES`
`static String` | `PROPERTY_SEARCH_TYPE`
`static String` | `PROPERTY_VALUES`
`static String` | `RESOURCE_TYPE`
`static String` | `SEARCH_TYPE`
`static String` | `TYPE_NAME`

Fields inherited from class com.bea.apps.groupspace.content.CommunityContent
`CC_DESCRIPTION, CC_OWNER, CC_RELATED_NODES, CC_TITLE, CC_VISIBILITY, hiddenRelatedContent, hiddenRelatedContentIsSet, relatedContent, relatedContentIsSet, visibility`

Fields inherited from class com.bea.apps.groupspace.content.ContentBaseImpl
`node, typeName`

Constructor Summary
`SavedSearchBean()` Need this
`SavedSearchBean(Node node)` Create this object from a Node

Method Summary
`String` | `getAllWords()`
`String` | `getAnyWords()`
`String` | `getExactPhrase()`
`com.bea.apps.groupspace.icons.Icon` | `getIcon(com.bea.apps.groupspace.icons.Icon.Size size)`
`String` | `getNoneWords()`
`String[]` | `getPropertyNames()`
`String[]` | `getPropertyValues()`
`String` | `getResourceType()`
`String` | `getSearchType()`
`void` | `setAllWords(String allWords)`
`void` | `setAnyWords(String anyWords)`
`void` | `setExactPhrase(String exactPhrase)`
`void` | `setNoneWords(String noneWords)`
`void` | `setPropertyNames(String[] propertyNames)`
`void` | `setPropertyValues(String[] propertyValues)`
`void` | `setResourceType(String resourceType)`
`void` | `setSearchType(String searchType)`

Methods inherited from class com.bea.apps.groupspace.content.CommunityContent
`convertVisibilityString, getDescription, getDisplayName, getIcon, getOwner, getTitle, getVisibility, getVisibilityString, isPrivate, setDescription, setOwner, setRelatedContent, setTitle, setVisibility`

Methods inherited from class com.bea.apps.groupspace.content.ContentBaseImpl
`arrayAsValueArray, equals, getContentType, getCreatedBy, getCreatedDate, getCurrentParentFolderId, getDestinationFolderId, getId, getModifiedBy, getModifiedDate, getName, getNode, getNodePath, getNodeProperties, getNodeProperty, getNodeType, getParentId, getStringValues, getValue, hashCode, isContentNode, isHierarchyNode, setCurrentParentFolderId, setDestinationFolderId, setNode, setProperty, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_NAME

    public static final String TYPE_NAME

See Also
  Constants Summary

### SEARCH_TYPE

    public static final String SEARCH_TYPE

See Also
  Constants Summary

### RESOURCE_TYPE

    public static final String RESOURCE_TYPE

See Also
  Constants Summary

### PROPERTY_NAMES

    public static final String PROPERTY_NAMES

See Also
  Constants Summary

### PROPERTY_VALUES

    public static final String PROPERTY_VALUES

See Also
  Constants Summary

### ALL_WORDS

    public static final String ALL_WORDS

See Also
  Constants Summary

### EXACT_PHRASE

    public static final String EXACT_PHRASE

See Also
  Constants Summary

### ANY_WORDS

    public static final String ANY_WORDS

See Also
  Constants Summary

### NONE_WORDS

    public static final String NONE_WORDS

See Also
  Constants Summary

### DEFAULT_SEARCH_TYPE

    public static final String DEFAULT_SEARCH_TYPE

See Also
  Constants Summary

### PROPERTY_SEARCH_TYPE

    public static final String PROPERTY_SEARCH_TYPE

See Also
  Constants Summary

### ICON_FILENAME_MAP

    public static final Map ICON_FILENAME_MAP

### DEFAULT_ICON_KEY

    public static final String DEFAULT_ICON_KEY

See Also
  Constants Summary

Constructor Detail

### SavedSearchBean

    public SavedSearchBean()

  Need this

### SavedSearchBean

    public SavedSearchBean(Node node)

  Create this object from a Node

Method Detail

### getSearchType

    public String getSearchType()

### setSearchType

    public void setSearchType(String searchType)

### getResourceType

    public String getResourceType()

### setResourceType

    public void setResourceType(String resourceType)

### getPropertyNames

    public String[] getPropertyNames()

### setPropertyNames

    public void setPropertyNames(String[] propertyNames)

### getPropertyValues

    public String[] getPropertyValues()

### setPropertyValues

    public void setPropertyValues(String[] propertyValues)

### getAllWords

    public String getAllWords()

### setAllWords

    public void setAllWords(String allWords)

### getExactPhrase

    public String getExactPhrase()

### setExactPhrase

    public void setExactPhrase(String exactPhrase)

### getAnyWords

    public String getAnyWords()

### setAnyWords

    public void setAnyWords(String anyWords)

### getNoneWords

    public String getNoneWords()

### setNoneWords

    public void setNoneWords(String noneWords)

### getIcon

    public com.bea.apps.groupspace.icons.Icon getIcon(com.bea.apps.groupspace.icons.Icon.Size size)

  Overrides:
    `getIcon` in class `CommunityContent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved